- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreArchive.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreDataStream.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
struct | Ogre::FileInfo
| Information about a file/directory within the archive will be returned using a FileInfo struct. More...
class | Ogre::Archive
| Archive-handling class. More...
## Typedefs
typedef std::vector < FileInfo > | Ogre::FileInfoList
typedef SharedPtr < FileInfoList > | Ogre::FileInfoListPtr

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:57 2008